Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler
Class JobNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.ias.scheduler.SchedulerException
                  oracle.ias.scheduler.JobNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public final class JobNotFoundException
extends SchedulerException

This exception is thrown by the Scheduler API, when the specified job is not found

See Also:
  Serialized Form

Constructor Summary
`JobNotFoundException()` Constructs a new exception with null as its message.
`JobNotFoundException(java.lang.String key)` Constructs a new exception with the specified localized message key.
`JobNotFoundException(java.lang.String key, java.lang.Object param)` Constructs a new exception with the specified localized message key and a single message parameter string.
`JobNotFoundException(java.lang.String key, java.lang.Object param1, java.lang.Object param2)` Constructs a new exception with the specified localized message key and two message parameter string.
`JobNotFoundException(java.lang.String key, java.lang.Object param1, java.lang.Object param2, java.lang.Throwable cause)` Constructs a new exception with the specified localized message key and two message parameters and a cause
`JobNotFoundException(java.lang.String key, java.lang.Object param, java.lang.Throwable cause)` Constructs a new exception with the specified localized message key and single message parameter and a cause
`JobNotFoundException(java.lang.String key, java.lang.Throwable cause)` Constructs a new exception with the specified localized message key and cause.
`JobNotFoundException(java.lang.Throwable cause)` Constructs a new exception with the specified cause.

Methods inherited from class oracle.ias.scheduler.SchedulerException
`getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobNotFoundException

    public JobNotFoundException()

  Constructs a new exception with null as its message. The cause is not initialized.

### JobNotFoundException

    public JobNotFoundException(java.lang.String key)

  Constructs a new exception with the specified localized message key. The cause is not initialized.

Parameters:
  `key` - The key of the localized exception message which is later retrieved using the getMessage method.

### JobNotFoundException

    public JobNotFoundException(java.lang.String key,
                                java.lang.Object param)

  Constructs a new exception with the specified localized message key and a single message parameter string. The cause is not initialized.

Parameters:
  `key` - The key of the localized exception message which is later retrieved using the getMessage method.
  `param` - The parameter to the localized message for this exception instance.

### JobNotFoundException

    public JobNotFoundException(java.lang.String key,
                                java.lang.Object param1,
                                java.lang.Object param2)

  Constructs a new exception with the specified localized message key and two message parameter string. The cause is not initialized.

Parameters:
  `key` - The key of the localized exception message which is later retrieved using the getMessage method.
  `param1` - The first parameter to the localized message for this exception instance.
  `param2` - The second parameter to the localized message for this exception instance.

### JobNotFoundException

    public JobNotFoundException(java.lang.String key,
                                java.lang.Throwable cause)

  Constructs a new exception with the specified localized message key and cause.

Parameters:
  `key` - The key of the localized exception message which is later retrieved using the getMessage method.
  `cause` - The cause which is saved for the later retrieval by the getCause method.

### JobNotFoundException

    public JobNotFoundException(java.lang.String key,
                                java.lang.Object param,
                                java.lang.Throwable cause)

  Constructs a new exception with the specified localized message key and single message parameter and a cause

Parameters:
  `key` - The key of the localized exception message which is later retrieved using the getMessage method.
  `param` - The parameter to the localized message for this exception instance.
  `cause` - The cause which is saved for the later retrieval by the getCause method.

### JobNotFoundException

    public JobNotFoundException(java.lang.String key,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Throwable cause)

  Constructs a new exception with the specified localized message key and two message parameters and a cause

Parameters:
  `key` - The key of the localized exception message which is later retrieved using the getMessage method.
  `param1` - The first parameter to the localized message for this exception instance.
  `param2` - The second parameter to the localized message for this exception instance.
  `cause` - The cause which is saved for the later retrieval by the getCause method.

### JobNotFoundException

    public JobNotFoundException(java.lang.Throwable cause)

  Constructs a new exception with the specified cause.

Parameters:
  `cause` - The cause which is saved for the later retrieval by the getCause method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.